#include <iostream>
#include <string.h>
#include <vector>
#include <fstream>
#include <sstream>
#include "header.h"
#include <unistd.h>
#include <stdlib.h>

using namespace std;

string compile_file(string a){

    return a;
}

vector<string> compile_files(vector<string> files){
    vector<string> compiled_files;
    for(unsigned int i=0;i<files.size(); i++){
        ifstream files_content(files[i].c_str());
        if(files_content){
            stringstream a;
            a << files_content.rdbuf();
            compiled_files.push_back(a.str());
        }else{
            cout << files[i]+":No such file or directory" << endl;
        }
    }
    return compiled_files;

}

int main(int argc,char *argv[])
{
	vector<string> outputFiles;
	vector<string> inputFiles;
    
	int c;
	opterr = 0; // disable getopt error
	
	while ((c = getopt (argc, argv, "o:i:")) != -1){
		switch (c){
			case 'o':
				outputFiles.push_back(optarg);	//get output files
				break;
			case 'i':
				inputFiles.push_back(optarg);	//get input files
				break;
			case '?':
				if (optopt == 'o')
					fprintf (stderr, "Option -%c requires an argument.\n", optopt);
				else if (isprint (optopt))
					fprintf (stderr, "Unknown option `-%c'.\n", optopt);
				else
					fprintf (stderr,"Unknown option character `\\x%x'.\n",optopt);
				return 1;
			default:
				abort ();
		}
	}
    
	//get input files
	for (int index = optind; index < argc; index++)
		inputFiles.push_back(argv[index]);
	
	
    return 0;
}
